summaryrefslogtreecommitdiff
path: root/dev-python/matrix-client
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-11-27 01:40:14 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-11-27 01:40:14 +0000
commitb346f3735bc342409714e4ff3fb08449ad006fa3 (patch)
treecae5c66c801e405d198277a0745ebd10915d9b56 /dev-python/matrix-client
parentecd3a60027d5c4b3954c7a8a6e5a6a4934e97c06 (diff)
downloadbaldeagleos-repo-b346f3735bc342409714e4ff3fb08449ad006fa3.tar.gz
baldeagleos-repo-b346f3735bc342409714e4ff3fb08449ad006fa3.tar.xz
baldeagleos-repo-b346f3735bc342409714e4ff3fb08449ad006fa3.zip
Adding metadata
Diffstat (limited to 'dev-python/matrix-client')
-rw-r--r--dev-python/matrix-client/matrix-client-0.4.0-r1.ebuild (renamed from dev-python/matrix-client/matrix-client-0.4.0.ebuild)14
1 files changed, 7 insertions, 7 deletions
diff --git a/dev-python/matrix-client/matrix-client-0.4.0.ebuild b/dev-python/matrix-client/matrix-client-0.4.0-r1.ebuild
index ff2e4781e048..ef861403aa12 100644
--- a/dev-python/matrix-client/matrix-client-0.4.0.ebuild
+++ b/dev-python/matrix-client/matrix-client-0.4.0-r1.ebuild
@@ -1,6 +1,6 @@
# Copyright 2021 Liguros Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
PYTHON_COMPAT=( python3_{6,7,8,9,10} )
@@ -28,14 +28,14 @@ DEPEND="${REDEPEND}
S="${WORKDIR}/${MY_PN}-${PV}"
-python_test() {
- nosetests --verbose || die
- py.test -v -v || die
-}
-
-src_install() {
+src_prepare() {
cd ${S}
# removing test directory, as it is not allowed to be installed
rm -rf test
default
}
+
+python_test() {
+ nosetests --verbose || die
+ py.test -v -v || die
+}